Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.12.0 Regression?: No

Operating System: Linux/Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21843

Description

"Processing>SAGA>Cluster Analysis for Grids" does not work when selecting more than one grid files. The attached error log indicates

that the problem is with the import from the tif files. The command seems to use commas as separators between file paths. Executing that

command with saga_cmd also fails, but replacing the commas with semi-colons fixes it.

This is under Linux/Ubuntu. I haven't tested to see if it is also a problem on other platforms.

History

#1 - 2015-11-12 01:07 PM - Giovanni Manghi

- Status changed from Open to Feedback

What Processing version are you using?

#2 - 2015-11-12 01:16 PM - Guillaume Larocque

This is under QGIS 2.12.0. I'm using the version of Processing that comes with it...

#3 - 2015-11-13 02:03 AM - Giovanni Manghi

Guillaume Larocque wrote:

This is under QGIS 2.12.0. I'm using the version of Processing that comes with it...

do you have any "processing" folder inside .qgis2/python/plugins/ ?

#4 - 2015-11-13 03:08 AM - Victor Olaya

semicolons are already used, see here

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/saga/SagaAlgorithm213.py#L105

Looks like yo uare using an older version (or an older version in your system is shadowing the one that comes with QGIS 2.12)
#5 - 2015-11-13 03:12 AM - Giovanni Manghi

Victor Olaya wrote:

(or an older version in your system is shadowing the one that comes with QGIS 2.12)

yes, that's my guess.

#6 - 2015-11-13 02:01 PM - Guillaume Larocque

How does one re-install processing to make sure I have the newer version?

#7 - 2015-11-16 04:39 AM - Giovanni Manghi

Guillaume Larocque wrote:

How does one re-install processing to make sure I have the newer version?

remove any "processing" folder inside .qgis2/python/plugins/

restart qgis,  update Processing if a new version is available in the plugin manager.

#8 - 2015-12-19 10:12 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

closing for lack of feedback.

Files

saga_err.txt 952 Bytes 2015-11-12 Guillaume Larocque
